// eslint-disable-next-line @typescript-eslint/no-unused-vars
namespace Global {
  /**
   * Declarations for static assets
   */
  declare module '*.pdf';
  declare module '.*?raw';
  declare module '*.7z';
  declare module '*.arj';
  declare module '*.deb';
  declare module '*.pkg';
  declare module '*.rar';
  declare module '*.rpm';
  declare module '*.tar.gz';
  declare module '*.z';
  declare module '*.zip';
  declare module '*.bin';
  declare module '*.dmg';
  declare module '*.iso';
  declare module '*.toast';
  declare module '*.vcd';
  declare module '*.csv';
  declare module '*.dat';
  declare module '*.db';
  declare module '*.dbf';
  declare module '*.log';
  declare module '*.mdb';
  declare module '*.sav';
  declare module '*.sql';
  declare module '*.tar';
  declare module '*.xml';
  declare module '*.email';
  declare module '*.eml';
  declare module '*.emlx';
  declare module '*.msg';
  declare module '*.oft';
  declare module '*.ost';
  declare module '*.pst';
  declare module '*.vcf';
  declare module '*.apk';
  declare module '*.bat';
  declare module '*.cgi';
  declare module '*.pl';
  declare module '*.com';
  declare module '*.exe';
  declare module '*.gadget';
  declare module '*.jar';
  declare module '*.msi';
  declare module '*.py';
  declare module '*.wsf';
  declare module '*.fnt';
  declare module '*.fon';
  declare module '*.otf';
  declare module '*.ttf';
  declare module '*.ai';
  declare module '*.ps';
  declare module '*.psd';
  declare module '*.asp';
  declare module '*.aspx';
  declare module '*.cer';
  declare module '*.cfm';
  declare module '*.css';
  declare module '*.htm';
  declare module '*.html';
  declare module '*.jsp';
  declare module '*.part';
  declare module '*.php';
  declare module '*.rss';
  declare module '*.xhtml';
  declare module '*.key';
  declare module '*.odp';
  declare module '*.pps';
  declare module '*.ppt';
  declare module '*.pptx';
  declare module '*.c';
  declare module '*.class';
  declare module '*.cpp';
  declare module '*.cs';
  declare module '*.h';
  declare module '*.java';
  declare module '*.sh';
  declare module '*.swift';
  declare module '*.vb';
  declare module '*.ods';
  declare module '*.xls';
  declare module '*.xlsm';
  declare module '*.xlsx';
  declare module '*.bak';
  declare module '*.cab';
  declare module '*.cfg';
  declare module '*.cpl';
  declare module '*.cur';
  declare module '*.dll';
  declare module '*.dmp';
  declare module '*.drv';
  declare module '*.icns';
  declare module '*.ini';
  declare module '*.lnk';
  declare module '*.sys';
  declare module '*.tmp';
  declare module '*.3g2';
  declare module '*.3gp';
  declare module '*.avi';
  declare module '*.flv';
  declare module '*.h264';
  declare module '*.m4v';
  declare module '*.mkv';
  declare module '*.mov';
  declare module '*.mp4';
  declare module '*.mpg';
  declare module '*.mpeg';
  declare module '*.rm';
  declare module '*.swf';
  declare module '*.vob';
  declare module '*.wmv';
  declare module '*.doc';
  declare module '*.docx';
  declare module '*.odt';
  declare module '*.rtf';
  declare module '*.tex';
  declare module '*.txt';
  declare module '*.wpd';
  declare module '*.bmp';
  declare module '*.gif';
  declare module '*.ico';
  declare module '*.jpeg';
  declare module '*.jpg';
  declare module '*.png';
  declare module '*.svg';
  declare module '*.tif';
  declare module '*.tiff';

  /**
   * Declaration for Stylesheets
   */
  declare module '*.less' {
    const content: Record<string, string>;
    export default content;
  }
  declare module '*.sass' {
    const content: Record<string, string>;
    export default content;
  }
  declare module '*.scss' {
    const content: Record<string, string>;
    export default content;
  }
  declare module '*.css' {
    const content: Record<string, string>;
    export default content;
  }
}

export { Route } from './src/@types/router';
