import React from 'react';

export type Route = {
  path: string,
  caseSensitive?: boolean,
  component: React.LazyExoticComponent<any> | React.FC<any> | React.ComponentClass<any>,
  loader?: React.FC<any> | React.ComponentClass<any>,
  routes?: Route [],
  props?: { [key: string]: any }
  suspend?: boolean // default true
};
