import { Route } from './index';

export interface RoutesInterface {
  getRoutes: (url: string, userAgent: string, locale: string) => Route[] | Promise<Route[]>;
}

export abstract class AbstractRoutes implements RoutesInterface {
  abstract getRoutes: (
    url: string,
    userAgent: string,
    locale: string,
  ) => Route[] | Promise<Route[]>;
}
