import React from 'react';
import { useData } from '{packageName}/data';

const Hello = () => {
  const data = useData(
    () => new Promise((resolve) => {
      setTimeout(() => resolve({ name: 'John Doe' }), 1000);
    }),
    {
      id: 'helloWorld',
      reUse: true,
    },
  );
  return (
    <>
      <h1>
        Hello,
        {' '}
        {data?.name}
        !
      </h1>
    </>
  );
};

export default Hello;
