type RequestIdleCallbackParams = {
  didTimeout: boolean;
  timeRemaining: () => number;
};
type RequireIdleCallback = (options: RequestIdleCallbackParams) => void;
type RequestIdleCallbackOptions = {
  timeout?: number;
};

interface Window {
  cancelIdleCallback: any;
  requestIdleCallback: (
    (
      cb: RequireIdleCallback,
      callbackOptions?: RequestIdleCallbackOptions,
    ) => typeof setTimeout | any
  );
  assetsManifest?: string[];
  pawPreloadedData?: any;
}
